// -*-C++-*-
/*!
 * @file  MyServiceSVC_impl.cpp
 * @brief Service implementation code of MyService.idl
 *
 */

#include "MyServiceSVC_impl.h"
#include <iostream>

/*
 * Example implementational code for IDL interface MyService
 */
MyServiceSVC_impl::MyServiceSVC_impl(RTC::CorbaConsumer<Callback>& cb)
  : m_cb(cb)
{
  // Please add extra constructor code here.
}


MyServiceSVC_impl::~MyServiceSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void MyServiceSVC_impl::_cxx_do()
{
  for (int i(0); i < 10; ++i)
    {
      std::cout << "processing" << std::endl;
      sleep(1);
    }
  std::cout << "done" << std::endl;
  m_cb->done();
}



// End of example implementational code

/*
 * Example implementational code for IDL interface Callback
 */
CallbackSVC_impl::CallbackSVC_impl()
{
  // Please add extra constructor code here.
}


CallbackSVC_impl::~CallbackSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void CallbackSVC_impl::done()
{
  std::cout << "done" << std::endl;
}



// End of example implementational code



